use std::{error::Error};

use env_logger;
use log::{info};
use tokio::net::TcpListener;

const LOCAL_SERVER:&str = "127.0.0.1:8888";

#[tokio::main]
async fn main() ->Result<(),Box<dyn Error>> {
    env_logger::init();
    let listener: TcpListener = TcpListener::bind(LOCAL_SERVER).await?;
    loop {
        info!("The Server will be started ...");

        let (socket,addr) = listener.accept().await?;
        
        info!("{} connected",addr);
    }

    Ok(())
}
